InfraXconnects
List cross connects
AuthorizationBearer <token>
Bearer is only available for WebApp. Please use API tokens for programmatic access.
In: header
Query Parameters
description?|
Description of the circuit
status?|
Status of the circuit
facility?|
Facility of the circuit
side_a?|array<string>|
Side A of the circuit
side_z?|array<string>|
Side Z of the circuit
limit?Limit
Range
1 <= valueDefault
100offset?Offset
Range
0 <= valueDefault
0Response Body
application/json
curl -X GET "https://example.com/v3/infra/xconnects"{ "results": [ { "sid": "string", "cid": "string", "description": "string", "netbox_id": 0, "status": "string", "provider_slug": "string", "provider_service_type": "string", "install_date": "2019-08-24T14:15:22Z", "termination_date": "2019-08-24T14:15:22Z", "tags": [ "string" ], "side_a": { "xconnect_id": "string", "site": "string", "brief": "string" }, "side_z": { "xconnect_id": "string", "site": "string", "brief": "string" }, "facility": { "slug": "string", "name": "string", "facility": "string", "timezone": "string" }, "raw_data": { "ibx": "string", "z_side_ibx": "string", "final_z_side_patch_panel": "string", "final_z_side_port_a": 0, "final_z_side_port_b": 0 }, "monthly_recurring_cost": 0 } ], "count": 0}How is this guide?
Last updated on